For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList runbooks
      • GETGet a runbook
      • POSTCreate a runbook
      • PATCHUpdate a runbook
      • DELDelete a runbook
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRunbooks

Get a runbook

GET
https://api.x.flatfile.com/v1/runbooks/:runbookId
GET
/v1/runbooks/:runbookId
$curl https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": {
3 "id": "us_rb_YOUR_ID",
4 "accountId": "us_acc_YOUR_ID",
5 "appId": "us_app_YOUR_ID",
6 "environmentId": "us_env_YOUR_ID",
7 "spaceId": "us_sp_YOUR_ID",
8 "name": "Runbook Name",
9 "config": {
10 "sourceSheetIds": [
11 "us_sh_YOUR_ID"
12 ],
13 "destinationSheetIds": [
14 "us_sh_YOUR_ID"
15 ]
16 },
17 "status": "CREATED",
18 "type": "PREPROCESSING",
19 "createdBy": "us_usr_YOUR_ID",
20 "createdAt": "2024-12-05T18:00:00Z",
21 "updatedAt": "2024-12-05T18:00:00Z"
22 }
23}
Returns a runbook
Was this page helpful?
Previous

Create a runbook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

runbookIdstringRequired
Runbook ID

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
Runbook